#include <Bounce.h>

bool debug = false;

void setup() {
  if(debug){ 
    Serial.begin(9600); // initializing serial port
  }
}

void loop() {
  int sensorValue0 = analogRead(A0); // retrieving sensor value on Analog pin 0
  int sensorValue1 = analogRead(A1); // retrieving sensor value on Analog pin 1
  int sensorValue2 = analogRead(A2); // retrieving sensor value on Analog pin 2
  if(debug){
    Serial.print(sensorValue0);
    Serial.print("\t");
    Serial.print(sensorValue1);
    Serial.print("\t");
    Serial.println(sensorValue2);
  }
  else{ 
    int midiValue0 = sensorValue0*127/1024; // value between 0-127
    int midiValue1 = sensorValue1*127/1024;
    int midiValue2 = sensorValue2*127/1024;
    int midiChannel = 0; // doesn't really matter
    usbMIDI.sendControlChange(0,midiValue0,midiChannel); // sending on CC 0
    usbMIDI.sendControlChange(1,midiValue1,midiChannel); // sending on CC 1
    usbMIDI.sendControlChange(2,midiValue2,midiChannel); // sending on CC 2
  }
  delay(30); // wait for 30ms
}
